%define major                 0
%define libname               %mklibname nfnetlink %{major}
%define libnamedevel          %mklibname nfnetlink -d

Name:           libnfnetlink
Version:        1.0.1
Release:        %mkrel 2
Epoch:          0
Summary:        Userspace library for handling of netfilter netlink messages
Group:          System/Libraries
License:        GPL
URL:            http://www.netfilter.org/projects/libnfnetlink/index.html
Source0:        http://www.netfilter.org/projects/libnfnetlink/files/libnfnetlink-%{version}.tar.bz2
Source1:        http://www.netfilter.org/projects/libnfnetlink/files/libnfnetlink-%{version}.tar.bz2.sig

%description
nfnetlink is a netlink(7) based kernel/userspace transport layer. It
provides a unified kernel/userspace interface for the various netfilter
subsystems, such as connection tracking, logging and queueing.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{epoch}:%{version}-%{release}
Provides:       nfnetlink = %{epoch}:%{version}-%{release}

%description -n %{libname}
libnfnetlink is a userspace library that provides some low-level
nfnetlink handling functions. It is used as a foundation for other, netfilter
subsystem specific libraries such as libnfnetlink_conntrack, libnfnetlink_log
and libnfnetlink_queue.

%package -n %{libnamedevel}
Summary:        Development files for %{name}
Group:          System/Libraries
Obsoletes:      %{_lib}nfnetlink0-devel < %{epoch}:%{version}-%{release}
Obsoletes:	%{_lib}nfnetlink1-devel < %{epoch}:%{version}-%{release}
Provides:       nfnetlink-devel = %{epoch}:%{version}-%{release}
Requires:       %{libname} = %{epoch}:%{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%check
%make check

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}*

%files -n %{libnamedevel}
%{_includedir}/libnfnetlink
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnfnetlink.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0:1.0.1-2.mga3
+ Revision: 357849
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 fwang <fwang> 0:1.0.1-1.mga3
+ Revision: 303744
- new version 1.0.1

  + dlucio <dlucio>
    - imported package libnfnetlink

